import { __require as U } from "./index-utils10.js";
import { __require as g } from "./index-AxiosURLSearchParams.js";
var n, t;
function q() {
  if (t) return n;
  t = 1;
  var f = U(), l = g();
  function s(c) {
    return encodeURIComponent(c).replace(/%3A/gi, ":").replace(/%24/g, "$").replace(/%2C/gi, ",").replace(/%20/g, "+").replace(/%5B/gi, "[").replace(/%5D/gi, "]");
  }
  return n = function(e, i, r) {
    if (!i)
      return e;
    var u = e.indexOf("#");
    u !== -1 && (e = e.slice(0, u));
    var R = r && r.encode || s, d = r && r.serialize, a;
    return d ? a = d(i, r) : a = f.isURLSearchParams(i) ? i.toString() : new l(i, r).toString(R), a && (e += (e.indexOf("?") === -1 ? "?" : "&") + a), e;
  }, n;
}
export {
  q as __require
};
